//+------------------------------------------------------------------+
//|                                                   1 .mq4 |
//|                      Copyright  2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
extern int s=5;
extern int stime=60;
extern int lots=1;
extern int slippage=500;
extern double sl=NULL;
extern double tp=NULL;
double upfr,dnfr=0.0;//  
double tClose,tOpen,H,L=NULL;
int flag=0;

int init()
  {
//----

  
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |

//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+

int start()//      s 
  {
//----
if(iFractals(Symbol(),PERIOD_H1,MODE_UPPER,4)!=0)
   {
      upfr=iFractals(Symbol(),PERIOD_H1,MODE_UPPER,4);   
   }
if(iFractals(Symbol(),PERIOD_H1,MODE_UPPER,4)==0)
   {
      upfr=0;
   }
if(iFractals(Symbol(),PERIOD_H1,MODE_LOWER,4)!=0)
   {
      dnfr=iFractals(Symbol(),PERIOD_H1,MODE_LOWER,4);
   }
if(iFractals(Symbol(),PERIOD_H1,MODE_LOWER,4)==0)
   {
      dnfr=0;
   }
//   
H=iHigh(Symbol(),PERIOD_H1,1);
L=iLow(Symbol(),PERIOD_H1,1);
tOpen=iTime(Symbol(),PERIOD_H1,1);

if(H>upfr && flag==0) //       
   {
      tClose=tOpen+s*stime*60;
      OrderSend(Symbol(),OP_BUY,lots,Ask,slippage,NULL,NULL);
      flag=1;
   }
if(L<dnfr)
Print(L," -L dnfr- ",dnfr," flag- ",flag);
if(L<dnfr && flag==0)//      
   {
      tClose=tOpen+s*stime*60;
      OrderSend(Symbol(),OP_SELL,lots,Bid,slippage,NULL,NULL);
      flag=1;
   }
   
//     
if(Time[1]>=tClose && flag==1)//    
   {
      Print(" ");
      OrClose();  
      flag=0;
      upfr=0;
      dnfr=0;
   }

   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//  
void OrClose()
   {
      for(int i=OrdersTotal()-1;i>=0;i--)
         {
            if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES) && OrderType()==OP_BUY)
               {
                  OrderClose(OrderTicket(),lots,Bid,5);
               }
             if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES) && OrderType()==OP_SELL)
               {
                  OrderClose(OrderTicket(),lots,Ask,5);
               }
         }
      return(0);
   }